%define module	MARC-Record
%define name	perl-%{module}
%define version 2.0.0
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{module} module for perl
License:	GPL or Artistic
Group:		Development/Perl
Source:		ftp.perl.org/pub/CPAN/modules/by-module/MARC/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}/

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-root

%description
Module for handling MARC records as objects.
The file-handling stuff is in MARC::File::*.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
%{__make} test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
#chmod 644  $RPM_BUILD_ROOT/%{perl_vendorlib}/MARC/Record.pm
#chmod 644  $RPM_BUILD_ROOT/%{perl_vendorlib}/MARC/Field.pm

%files
%defattr(-,root,root)
%{_bindir}/marcdump
%doc Changes README
%{perl_vendorlib}/MARC
%{_mandir}/*/*




%changelog
* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 2.0.0-1mdv2008.1
+ Revision: 140691
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Feb 14 2007 Stéphane Téletchéa <steletch@mandriva.org> 2.0.0-1mdv2007.0
+ Revision: 120948
- Update to 2.0.0
- MARC::Lint is now in a separate module
- Import perl-MARC-Record

* Thu May 04 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.38-2mdk
- Fix According to perl Policy
	- Source URL

* Thu May 04 2006 Jerome Soyer <saispo@mandriva.org> 1.38-1mdk
- From Stphane Tletcha <steletch@mandriva.org>
- Initial Mandriva release

